### Type parameters

- #### T

### Hierarchy

- TransactBaseOperation<T, Put, TransactPut<T>>
  - TransactPut

### Implements

- ConditionalParamsHost

## Index

### Constructors

- constructor

### Properties

- metadata
- modelClazz
- params

### Accessors

- transactItem

### Methods

- ifNotExists
- onlyIf
- onlyIfAttribute
- returnValuesOnConditionCheckFailure

## Constructors

### constructor

- new TransactPut(modelClazz: ModelConstructor<T>, item: T): TransactPut

- Overrides TransactBaseOperation.constructor

  - Defined in dynamo/transactwrite/transact-put.ts:7

  #### Parameters

  - ##### modelClazz: ModelConstructor<T>

  - ##### item: T

  #### Returns TransactPut

## Properties

### metadata

metadata: Metadata<T>

Inherited from TransactBaseOperation.metadata

- Defined in dynamo/transactwrite/transact-base-operation.ts:18

### modelClazz

modelClazz: ModelConstructor<T>

Inherited from TransactBaseOperation.modelClazz

- Defined in dynamo/transactwrite/transact-base-operation.ts:19

### params

params: Put

Implementation of ConditionalParamsHost.params

Inherited from TransactBaseOperation.params

- Defined in dynamo/transactwrite/transact-base-operation.ts:17

## Accessors

### transactItem

transactItem:

Overrides TransactBaseOperation.transactItem

- Defined in dynamo/transactwrite/transact-put.ts:20

## Methods

### ifNotExists

- ifNotExists(predicate?: boolean): TransactPut<T>

- - Defined in dynamo/transactwrite/transact-put.ts:13

  #### Parameters

  - ##### Default value predicate: boolean = true

  #### Returns TransactPut<T>

### onlyIf

- onlyIf(...conditionDefFns: ConditionExpressionDefinitionFunction[]): TransactPut<T>

- Inherited from TransactBaseOperation.onlyIf

  - Defined in dynamo/transactwrite/transact-base-operation.ts:43

  #### Parameters

  - ##### Rest ...conditionDefFns: ConditionExpressionDefinitionFunction[]

  #### Returns TransactPut<T>

### onlyIfAttribute

- onlyIfAttribute<K>(attributePath: K): RequestConditionFunction<TransactPut<T>, T, K>

- Inherited from TransactBaseOperation.onlyIfAttribute

  - Defined in dynamo/transactwrite/transact-base-operation.ts:39

  #### Type parameters

  - #### K: keyof T

  #### Parameters

  - ##### attributePath: K

  #### Returns RequestConditionFunction<TransactPut<T>, T, K>

### returnValuesOnConditionCheckFailure

- returnValuesOnConditionCheckFailure(value: DynamoDB.ReturnValuesOnConditionCheckFailure): TransactPut<T>

- Inherited from TransactBaseOperation.returnValuesOnConditionCheckFailure

  - Defined in dynamo/transactwrite/transact-base-operation.ts:49

  #### Parameters

  - ##### value: DynamoDB.ReturnValuesOnConditionCheckFailure

  #### Returns TransactPut<T>

Generated using TypeDoc